<?php

namespace InSegment\WorkersFramework\Http\Controllers;

use Shavshukov\EventAppBase\Http\Controller;
use Psr\Http\Message\ServerRequestInterface;
use React\Http\Response;

use InSegment\WorkersFramework\Services\Manager;

class StatsController extends Controller
{
    public function getStats(ServerRequestInterface $request)
    {
        return $this->app->service('manager')->then(function (Manager $manager) {
            return new Response(
                200,
                array('Content-Type' => 'application/json'),
                json_encode($manager->getStatus())
            );
        });
    }
}
