<?php

namespace InSegment\WorkersFramework\Interfaces;

use React\Promise\PromiseInterface;
use React\EventLoop\LoopInterface;

interface QueueConnectorInterface
{
    
    /**
     * Create queue driver
     * 
     * @param \React\EventLoop\LoopInterface $loop
     * @param bool $sync
     * @return \React\Promise\PromiseInterface<\InSegment\WorkersFramework\Drivers\RabbitMq\QueueDriverInterface>
     */
    public function createDriver(LoopInterface $loop): PromiseInterface;
    
}
